Skip to main content
POST
/
v1
/
annotation-queues
/
{queueId}
/
items
Add items to queue
curl --request POST \
  --url https://api.agentmark.co/v1/annotation-queues/{queueId}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <api-key>' \
  --data '
{
  "items": [
    {
      "resource_id": "<string>",
      "resource_type": "trace"
    }
  ]
}
'
{
  "data": {
    "added": 1
  }
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Headers

X-Agentmark-App-Id
string
required

Application ID for tenant scoping.

Path Parameters

queueId
string<uuid>
required

Body

application/json
items
object[]
required
Minimum array length: 1

Response

Items added (count reports de-duplicated total).

data
object
required